#include <TimeFrames.mqh>
//+------------------------------------------------------------------+
void OnStart()
{
   CTimeFrames tfs;  // using all periods when calling the default constructor
   string res = "";
   for(tfs = PERIOD_H1; tfs <= PERIOD_D1;tfs++)
   {
      ENUM_TIMEFRAMES period = tfs.Period(); //example of calling for current period.
      res+= tfs.ToString()+", ";
   }
   Print(res);
 
   res="";
   for(tfs = PERIOD_D1; tfs >= PERIOD_H1;tfs--)//iterate backwards    
      res+=tfs.ToString()+", ";
   Print(res);
   
   CTimeFrames f(FLAG_M1|FLAG_M5|FLAG_H1|FLAG_D1); //filtered time-frames using parameterized constructor
   //you could have also call the SetPeriodsByFlags method
   //f.SetPeriodsByFlags(FLAG_M1|FLAG_M5|FLAG_H1); //set timeframes by flags
   Print(f.AllToString());
   
   f+= PERIOD_M15; // add a time-frame to list
   Print("Added time-frame ",f.ToString());
   
   f=PERIOD_H1;
   Print("Changed time-frame to ",f.ToString());
   
   res = "";
   for(f.GetFirst();!f.Last();f.Next()) //iterate forward over all time-frames in list
      res+= f.ToString()+", ";
   Print(res);
   
   res="";
   for(f.GetLast();!f.First();f.Prev()) //iterate backward over all time-frames in list
      res+=f.ToString()+", ";
   Print(res);

}
//+------------------------------------------------------------------+
